<?php
/**
 *
 * Copyright(c) 2006-2016 ThreatSTOP, Inc. All Rights Reserved
 *
 * NOTICE: All information contained herein is, and remains the property
 * of ThreatSTOP, Inc. and its suppliers, if any. The intellectual and 
 * technical concepts contained herein are proprietary to ThreatSTOP, Inc. 
 * and its suppliers and certain aspects thereof are protected by United 
 * States Patent No. 8,533,822 and United States Patent No. 8,869,237, 
 * and are protected by trade secret or copyright law.
 *
 * US Government Entities: The ThreatSTOP service, software and
 * documentation, as applicable, are "commercial computer software" and
 * "commercial computer software documentation" developed exclusively at
 * private expense by Threatstop, Inc. ("Threatstop"). Pursuant to FAR
 * 12.212 or DFARS 227 7202 and their successors, as applicable, use,
 * reproduction and disclosure of the software and documentation is
 * governed by the terms of Threatstop's commercial agreement.
 */

require("guiconfig.inc");
require_once("functions.inc");
require("filter.inc");
require("shaper.inc");
require_once("config.gui.inc");


global $config;

foreach ($config['filter']['rule'] as $key => $some_rule) {

    if (strpos(strtolower($some_rule['descr']), 'threatstop') !== false) {
	    unset($config['filter']['rule'][$key]);
    }
}
foreach ($config['aliases']['alias'] as $key => $some_alias) {

    if (strpos(strtolower($some_alias['name']), 'threatstop') !== false) {
	    unset($config['aliases']['alias'][$key]);
    }
}

// Place back old noantilockout state
if (isset($config['threatstop']['noantilockout']) && $config['threatstop']['noantilockout'] == true) {
    $config['system']['webgui']['noantilockout'] = true;
} else if (isset($config['threatstop']['noantilockout']) && $config['threatstop']['noantilockout'] == false) {
    unset($config['system']['webgui']['noantilockout']);
}


write_config('qqq');
filter_configure();
sleep(2);
header("Location: /ts_state.php");


?>

