<?php
/**
 *
 * Copyright(c) 2006-2019 ThreatSTOP, Inc. All Rights Reserved
 *
 * NOTICE: All information contained herein is, and remains the property
 * of ThreatSTOP, Inc. and its suppliers, if any. The intellectual and
 * technical concepts contained herein are proprietary to ThreatSTOP, Inc.
 * and its suppliers and certain aspects thereof are protected by United
 * States Patent No. 8,533,822 and United States Patent No. 8,869,237,
 * and are protected by trade secret or copyright law.
 *
 * US Government Entities: The ThreatSTOP service, software and
 * documentation, as applicable, are "commercial computer software" and
 * "commercial computer software documentation" developed exclusively at
 * private expense by Threatstop, Inc. ("Threatstop"). Pursuant to FAR
 * 12.212 or DFARS 227 7202 and their successors, as applicable, use,
 * reproduction and disclosure of the software and documentation is
 * governed by the terms of Threatstop's commercial agreement.
 */

require("filter.inc");
require("shaper.inc");
require_once("config.gui.inc");


//Delete ThreatStop button
global $config;

/* GS-905 : the two possible places we've added our menu item over the versions */
$nativefiles = [ "/usr/local/www/fbegin.inc", "/usr/local/www/head.inc" ];
foreach ($nativefiles as $nativefile) {

	$findme =  "\$firewall_menu[] = array(\"ThreatSTOP \", \"/ts_state.php\");\n";
	$file = file_get_contents("$nativefile");

	$result = str_replace($findme, '', $file);
	file_put_contents($nativefile, $result);
}

//$pos = stripos($file, $findme);
//if ($pos !== false) {
//    $result = substr_replace($file, '', $pos, strlen($findme));
//    file_put_contents($nativefile, $result);
//}

if(isset($config['threatstop']))
unset($config['threatstop']);

//flush threatstop tables
`/sbin/pfctl -t ThreatSTOP_block -T flush`;
`/sbin/pfctl -t ThreatSTOP_allow -T flush`;
//clean ThreatStop  set
$cronUser= shell_exec('/usr/bin/crontab -l | sed -E -e "/\/(tsget|tslog)/d" ');
`echo "$cronUser" |/usr/bin/crontab -`;
//clean usr/local/www
if (file_exists('/usr/local/www/tslogupload.php')) unlink('/usr/local/www/tslogupload.php');
if (file_exists('/usr/local/www/tsgetblockip.php')) unlink('/usr/local/www/tsgetblockip.php');
if (file_exists('/usr/local/www/tssetup.php')) unlink('/usr/local/www/tssetup.php');
if (file_exists('/usr/local/www/tsremove.php')) unlink('/usr/local/www/tsremove.php');
if (file_exists('/usr/local/www/tsenable.php')) unlink('/usr/local/www/tsenable.php');
if (file_exists('/usr/local/www/ts_state.php')) unlink('/usr/local/www/ts_state.php');
if (file_exists('/usr/local/www/threatstop.conf.php')) unlink('/usr/local/www/threatstop.conf.php');


header("Location: /");
?>
